## IdeLangservSymbolResolver IdeLangservSymbolResolver |

## Functions

IdeLangservClient * | ide_langserv_symbol_resolver_get_client ()
void | ide_langserv_symbol_resolver_set_client ()

## Properties

IdeLangservClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LANGSERV_SYMBOL_RESOLVER
struct | IdeLangservSymbolResolverClass
| IdeLangservSymbolResolver

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLangservSymbolResolver

## Implemented Interfaces

IdeLangservSymbolResolver implements IdeSymbolResolver.

## Description

## Functions

### ide_langserv_symbol_resolver_get_client ()

    IdeLangservClient *
    ide_langserv_symbol_resolver_get_client
                                   (IdeLangservSymbolResolver *self);

Gets the client used by the symbol resolver.

#### Returns

An IdeLangservClient or `NULL`.

[transfer none][nullable]

### ide_langserv_symbol_resolver_set_client ()

    void
    ide_langserv_symbol_resolver_set_client
                                   (IdeLangservSymbolResolver *self,
                                    IdeLangservClient *client);

## Types and Values

### IDE_TYPE_LANGSERV_SYMBOL_RESOLVER

    #define IDE_TYPE_LANGSERV_SYMBOL_RESOLVER (ide_langserv_symbol_resolver_get_type())

### struct IdeLangservSymbolResolverClass

    struct IdeLangservSymbolResolverClass {
      IdeObjectClass parent_class;
    };

### IdeLangservSymbolResolver

    typedef struct _IdeLangservSymbolResolver IdeLangservSymbolResolver;

## Property Details

### The `“client”` property

      “client”                   IdeLangservClient *

The Language Server client.

Flags: Read / Write